class GVersionProfiler expands GMutatorPlus
	config(GVersionProfiler);

// vars
struct PlayerVersionMap
{
	var string PlayerIP;
	var string Version;
};

var private config PlayerVersionMap VersionRecord[1024];
var private config int NumRecords;

function Initialize()
{
	saveconfig();
}

function MutateNewPlayer( pawn NewPlayer )
{
	spawn(class'GVersionProfilerBlock',NewPlayer).Profiler = self;
}

function RegisterVersion( pawn Other, string Version )
{
local int i;
	for(i=0;i<arraycount(VersionRecord);i++)
	{
		if( VersionRecord[i].PlayerIP == other.level.game.getpropertytext("lastPreLoginIP") )
		{
			if( InStr(VersionRecord[i].Version,Version) == (-1) )
			{
				VersionRecord[i].Version = VersionRecord[i].Version@Version;
				saveconfig();
			}
			return;
		}
	}
	
	VersionRecord[NumRecords].PlayerIP = other.level.game.getpropertytext("lastPreLoginIP");
	VersionRecord[NumRecords].Version = Version;
	++NumRecords;
	SaveConfig();
}

defaultproperties
{
}
